[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'BufDataset' (#fcl)

# TRowStateValue

Row state values for records in TBufDataset

## Declaration

Source position: bufdataset.pas line 349

`type TRowStateValue = (`
`rsvOriginal,` |  | Buffer contains the original value(s)
`rsvDeleted,` |  | Buffer is for a record that will be deleted
`rsvInserted,` |  | Buffer is for a record that will be inserted
`rsvUpdated,` |  | Buffer is for a record that will be updated
`rsvDetailUpdates` |  | Buffer is for updates to a detail (child) dataset
`);`

## Description

TRowStateValue is an enumeration type with values that indicate the state for field values in the row. Values in the enumeration indicate how fields in an update buffer differ from the fields in the original record data. Values from TRowStateValue are stored in the TRowState type, and used in data packet readers for TBufDataset (TDataPacketReader).